# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Mail-RFC822-Address
Version:        0.3
Release:        alt1_13
Summary:        Perl extension for validating email addresses according to RFC822
License:        MIT
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Mail-RFC822-Address/
Source0:        http://www.cpan.org/modules/by-module/Mail/Mail-RFC822-Address-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time:
BuildRequires:  perl(Exporter.pm)
# Tests:
BuildRequires:  perl(Data/Dumper.pm)
Source44: import.info

%description
Mail::RFC822::Address validates email addresses against the grammar 
described in RFC 822 using regular expressions. The only sure way to see 
if a supplied email address is genuine is to send an email to it and see 
if the user recieves it. This package only checks that the email address 
is syntactically valid.

%prep
%setup -q -n Mail-RFC822-Address-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_13
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_12
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_10
- fc import

